This discussion is archived
13 Replies Latest reply: Jan 25, 2012 2:04 PM by IvanIgorovich RSS

Solaris Studio 12.2 on Ubuntu

852699 Newbie
Currently Being Moderated
How about someone write a guide to install Solaris Studio 12.2 on Ubuntu? I have found a couple of 12.1 guides but their directions don't quite match up what is needed for 12.2.

Respectfully,
Andre
  • 1. Re: Solaris Studio 12.2 on Ubuntu
    818821 Newbie
    Currently Being Moderated
    What's there to write beyond what you do for installing any SDK?

    1. You make sure that the prerequisites are met (working JRE, and check that you can compile and run a few C programs on your Linux installation).

    2. Download, unpack and run the installer. When it asks, tell it where to put the SunStudio package.

    3. Add the compiler's bin and bin/amd64 directories to your PATH, and its lib and lib/amd64 directories to LD_LIBRARY_PATH, etc.
  • 2. Re: Solaris Studio 12.2 on Ubuntu
    854157 Newbie
    Currently Being Moderated
    Major lose.

    "Working JRE" needs more discussion.
    Another source on Oracle Bboard states:
    "To install RPM distribution, you need to have Oracle Java SE installed. If you have OpenJDK installed, the installation cannot be done.

    If you are not sure what Java distribution you've got, please, type the following command:
    +java -version+
    "
    I do in fact have OpenJDK 64-bit installed on my Ubuntu Maverick system, so perhaps this is one problem. I've already installed package sun-java6-jre, which includes "Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent files)", so it's curious why it's not coming up on the version request. So these simplistic instructions are inadequate. How else to verify? How to debug if it's there but not being used? How else to install?

    Unpacking the tar file was done with
    tar -xjvf SolarisStudio12.2-linux-x86-rpm-ML.tar.bz2
    this resulted in a shell script.

    The command to become superuser by typing su doesn't work on my new system, it's necessary for some reason to type
    sudo su -

    Someone suggested "alien -i" was required for running the shell script properly, but I couldn't get this to work. I did get the script to execute by typing
    sudo bash SolarisStudio12.2-linux-x86-rpm-ML.sh in the directory, abbreviated to
    sudo bash *.sh
    This gave me a popup installer window.

    The popup installer immediately threw up its hands and quit:
    System analysis:
    Operating System: Ubuntu 10.10 ERROR
    ( ! ) Fatal errors were found. Installation is not possible.
    The Oracle Solaris Studio Installer supports only RPM-based versions of Linux.
    Your distribution is not supported. Please download and install the tarfile.

    I thought that's what I was doing. "the tarfile" must mean something else.

    Pretty clear message from Oracle that they don't want to support Ubuntu, at this moment (Apr '11), at least.
    Since there is little else out there on the web for this, looks like I will take their advice and be using g++ this year.

    I would like to see the Solaris C/C++ compiler be made an official package that can be downloaded and maintained by the Synaptic Package Manager. That way, it could actually work, instead of having to go through numerous steps with various possibilities of success. I had hoped to get a nice, tight compiler with a usage profiler.

    Instructions do need to be step-by-step in order to be workable. Simply saying "take care of it, and then change this" does not help, unless one already knows what one is doing.

    I look forward to the happy potential of being able to use Solaris C++ on Ubuntu in the future.

    hope this helps.
  • 3. Re: Solaris Studio 12.2 on Ubuntu
    854157 Newbie
    Currently Being Moderated
    So it turns out that "Download, unpack and run the installer" is exactly the wrong piece of advice. There are two columns on the Oracle page, called "Package Installer"[giving you a tarfile] and "Tarfile" [giving you, well, another tarfile]. The more raw Tarfile version helpfully notes:
    "Oracle support is not available for this configuration nor can the software be updated with patches."

    My rule: Don't drive through red lights. Presumably the Sun wizards know what they were doing when they put these signposts out there.

    Would like to see an officially supported version of the C/C++ compiler for Ubuntu. Would like it wired into Netbeans. Thanks.
  • 4. Re: Solaris Studio 12.2 on Ubuntu
    NikMolchanov Newbie
    Currently Being Moderated
    I have Oracle Solaris Studio 12.2 on my Ubuntu 10 system - it works ok. It is integrated with Netbeans - its IDE is based on Netbeans.
    I also installed Oracle Solaris Studio 12.3 Beta and it works even better than Oracle Solaris Studio 12.2. So far I did not need any patches,
    so I have no regrets that both installation were done via extracting the product from the tar.bz2 file.

    Did you try this type of installation? Did you try Oracle Solaris Studio 12.3 Beta?

    Thanks.
    Nik
  • 5. Re: Solaris Studio 12.2 on Ubuntu
    911938 Newbie
    Currently Being Moderated
    I'm attempting the installation of 12.3 (not beta) in Ubuntu 11.10, 64-bit. Can you provide any guidance on this?

    I attempt to use the installer but was stymied by the fact that Ubuntu is not an RPM-based system.

    Then I tried the tarfile. It doesn't appear to have 64-bit binaries (though I might be missing something here).

    I suspect that it should be possible to extract the RPMs from 'SolarisStudio12.3-lunux-x86-rpm' but I'm quite out of my depth there.

    Thanks in advance.
  • 6. Re: Solaris Studio 12.2 on Ubuntu
    807736 Newbie
    Currently Being Moderated
    i don't understand what you prefer to install rpms on a system that doesn't manage them?
    tar files are preferable, because you can have different releases of Studio. And yes, the tarball contains the 64bits too

    hth,

    gerard
  • 7. Re: Solaris Studio 12.2 on Ubuntu
    911938 Newbie
    Currently Being Moderated
    Thanks for your response. But I think you misunderstood my request. My preference is to install Studio 12.3 in any way. I just haven't been successful with either the RPM or the tarfile.

    Since you indicate that the 64-bit executables are in the tarfile could you tell me where they are? I can't seem to find them.

    Thank you!
  • 8. Re: Solaris Studio 12.2 on Ubuntu
    807736 Newbie
    Currently Being Moderated
    i downloaded SolarisStudio12.3-linux-x86-bin.tar.bz2 on the website.
    for instance:
    # ls -l /opt/sun/SolarisStudio12.3-linux-x86-bin/solarisstudio12.3/bin/amd64/
    collect er_archive er_export er_mv er_print er_vtunify
    dbx er_cp er_mpipp er_otfdump er_rm ss_attach

    i'm not sure to understand what is exactly your problem?
  • 9. Re: Solaris Studio 12.2 on Ubuntu
    koberoi Newbie
    Currently Being Moderated
    Ubuntu, any release, isn't supported by Oracle Solaris Studio 12.2:

    http://docs.oracle.com/cd/E18659_01/html/821-1785/index.html#SystemReqs

    The software is available via IPS (Solaris 11), SVR4 (Solaris 10), RPM (OL, RHEL, SLES), and expandable tarfiles:

    http://www.oracle.com/technetwork/server-storage/solarisstudio/downloads/solaris-studio-downloads-1403397.html

    Having said that, we've seen folks running Studio on Ubuntu. I haven't done this myself, but here are a couple suggestions:

    1. Download, "Tarfile on Linux x86"
    2. Expand tarfile on filesystem: bzcat download_directory/SolarisStudio12.2-linux-x86-tar-ML.tar.bz2 | /bin/tar -xf -
    3. The compilers can produce both 32-bit and 64-bit code, however, some of the studio binaries are 32-bit. So, you need to make sure you have the 32-bit glibc installed if it is not. Again, I'm not familiar with Ubuntu, but libc6-dev-i386, libc6-i386 &/or libc6-i686 may be what you're looking for.

    Again, I haven't used Ubuntu for a while, so I can't confirm the correctness, but I know the lack of 32-bit glibc, by default, is an issue on other Linux distros, so it needs to be installed to run 32-bit Studio binaries (e.g. cc)

    /kso
  • 10. Re: Solaris Studio 12.2 on Ubuntu
    911938 Newbie
    Currently Being Moderated
    Thank you, again, for your assistance. I see these executables and that they're 64-bit. What I don't understand is how one executes, say, the f90 compiler.
  • 11. Re: Solaris Studio 12.2 on Ubuntu
    911938 Newbie
    Currently Being Moderated
    Thank you for this information. It will be helpful, I suspect, if I'm able to get the compiler executable running. What I'm doing now isn't working, that is: .../solarisstudio12.3/prod/bin/f90, which gives: bash: ./f90: No such file or directory
  • 12. Re: Solaris Studio 12.2 on Ubuntu
    911938 Newbie
    Currently Being Moderated
    Please see Re: Solaris Studio 12.3 install on Ubuntu for a complete explanation of how I got Solaris Studio 12.3 installed on Ubuntu 11.10. --Mark                                                                                                                                                                                                                                                                                                                                                                   
  • 13. Re: Solaris Studio 12.2 on Ubuntu
    IvanIgorovich Newbie
    Currently Being Moderated
    Do not run binaries out of .../prod/bin but just .../bin.
    Make sure the executable bit is set on those executables.

    Regarding 32 vs 64-bit.
    Linux and solaris differ slightly in their 32/64 support. A 64 bit Solaris
    installation will run all 32-bit solaris apps. That is not necessarily true of
    a 64-bit Linux installation. To run 32-bit apps linux might need additional
    packages installed ... mainly 32-bit versions of various libraries.

    Now most of the solaris studio executables don't need to be 32-bit.
    An f90 compiler or a C++ compiler does just fine running as a 32-bit app.
    The few 64-bit solaris studio applications that have to be 64-bit are in
    the subdirectories .../bin/amd64 and .../lib/amd64 but their number is few.
    And you don't need to run them directly either!

    It's most likely that your 64-bit linux install doesn't have the 32-bit packages.
    Issue "ldd .../bin/f90" and that might clarify the matter.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points